#include "Immo.h"
void CalcUDS(uint8_t *sec_ask, uint8_t *sec_ans )//функция для расчёта security access
{

}
void GetImmoOut(uint8_t *req, uint8_t *ans, uint8_t *key )
{//функция для расчёта ответа иммо

}
void shortGetImmoOut(uint8_t *state, uint8_t *key)
{//функция для расчёта ответа иммо

}
bool CheckArray(uint8_t *a,uint8_t *b, uint8_t len)
{
	uint8_t count=0;
	for(int i=0;i<len;i++)
	{
		if(a[i]==b[i])
			count++;
	}
	if(count>=len-1)
		return 1;
	return 0;
}
bool CheckKey(uint8_t *req, uint8_t *ans, uint8_t *key )
{ //функция для проверуи валидности ключа при обучении
	unsigned char state[16] = { 0 };
	return CheckArray(state, ans, 8);
}